/* $Header$ */

// jsgeneric.h
// Generic framework declarations

/*************** changes *******************
Date			Edit				Bug					Description
09-Jan-14	cr_jsc									JavaScript client generic component example.
*/

#ifndef _JSGENERIC_H_
#define _JSGENERIC_H_

#include "jssuper.h"

#define LIB_RES_NAME			1000			// Resource id of library name
#define OBJECT_ID1				2000			// Resource id of control within library
#define COMP_STORE_GROUP	3000			// Resource id of component store group
#define OBJECT_ICON 			1					// Resource bitmap id

class jsGenericComponent : public javaScriptComponent
{
private:
	str255	mText;
public:
	jsGenericComponent(HWND pFieldHWnd, WCCcontrol *pControl);
	~jsGenericComponent();
	
	virtual qlong attributeSupport(LPARAM pMessage, WPARAM wParam, LPARAM lParam, EXTCompInfo* eci);
	virtual void paintDesign(HDC pHdc);
	
	qbool getText(EXTfldval& fval);
	qbool setText(EXTfldval& fval);
	
	static qbool jsGetInnerHTML(HWND pHwnd, WCCcontrol *pControl, webClientComponent *pObject, EXTfldval &pInner, qdim pWidth, qdim pHeight);
	
};

struct JSChtmlOptionsGeneric : public JSChtmlOptions
{
public:
	JSChtmlOptionsGeneric() : JSChtmlOptions() { mControlHasDataName = qfalse; }
};

#endif		// #ifndef _JSGENERIC_H_
// End of file
